Caddy(8)

NAME
caddy-hash-password - Hashes a password and writes base64

SYNOPSIS
caddy hash-password [--plaintext ] [--algorithm ] [--bcrypt-cost ] [flags]

DESCRIPTION
Convenient way to hash a plaintext password. The resulting hash is written to stdout as a base64 string.

--plaintext, when omitted, will be read from stdin. If Caddy is attached to a controlling tty, the plaintext will not be echoed.

--algorithm currently only supports 'bcrypt', and is the default.

--bcrypt-cost sets the bcrypt hashing difficulty. Higher values increase security by making the hash computation slower and more CPU-intensive. If the provided cost is not within the valid range [bcrypt.MinCost, bcrypt.MaxCost], the default value (defaultBcryptCost) will be used instead. Note: Higher cost values can significantly degrade performance on slower systems.

OPTIONS
-a, --algorithm="bcrypt"
    Name of the hash algorithm

--bcrypt-cost=14
    Bcrypt hashing cost (only used with 'bcrypt' algorithm)

-h, --help[=false]
    help for hash-password

-p, --plaintext=""
    The plaintext password

SEE ALSO
caddy(8)

HISTORY
22-Aug-2025 Auto generated by spf13/cobra